# CURRENT_TIMESTAMP function

CURRENT_TIMESTAMP returns the current timestamp; the value returned does not change if it is executed more than once in a single statement. This means the value is fixed even if there is a long delay between fetching rows in a cursor.

#### Syntax

    CURRENT_TIMESTAMP

or, alternately

    CURRENT TIMESTAMP

    VALUES CURRENT_TIMESTAMP
    -- or, alternately:

    VALUES CURRENT TIMESTAMP

Parent topic: Built-in functions